/*
   PrintReport.prg
   A sample dBL program from 
   The dBASE Book
   by Kenneth J. Mayer. 
   Program copyright 2005-2012. 
   Permission granted for use as a learning tool for dBASE Plus.

   Sample from: Chapter 20
   Sends MyFishReport.rep to printer if user chooses to, asks
   the user, etc.
*/

// Print Report?
set procedure to MyFishReport.rep
r = new MyFishReportReport()
if msgbox( "Send report to Printer?", "Confirm", 4+32 ) == 6 // Yes
   r.output := 1 // Printer
   if r.printer.choosePrinter() // returns true or false
      r.render() // print it
   endif
else
   r.render() // send to default of a preview window
endif