/*
   StartWithParams.prg
   A sample dBL program from 
   The dBASE Book
   by Kenneth J. Mayer. 
   Program copyright 2005-2012. 
   Permission granted for use as a learning tool for dBASE Plus.

   Sample from: Chapter 25
   A program that can be used to test parameters for a command line load
   of a dBASE application.
*/

// StartWithParams.prg -- to test parameters
parameter cVar1, cVar2, nVar3
msgbox( "Number of parameters passed: "+argCount() )
if argCount() > 0
   msgbox( "Type of cVar1: "+type( "cVar1" ) )
endif
if argCount() > 1
   msgbox( "Type of cVar2: "+type( "cVar2" ) )
endif
if argCount() > 2
   nVar3 = val( nVar3 )
   msgbox( "Type of nVar3: "+type( "nVar3" ) )
endif
msgbox( "Done" )
if "runtime" $ version(1)
   quit
endif
